Bug 291221 - always displays new mail notification, icon blinks
always displays new mail notification, icon blinks
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-14 12:28 EDT by John Dennis
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-14 13:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 446484 None None None Never

  None (edit)
Description John Dennis 2007-09-14 12:28:48 EDT
Using evolution-2.11.92-3.fc8, everything else current with development as of

evolution always displays the new mail notification in the notification area
even  if the preferences are set to not alert me when new mail arrives.

Given the volume of mail we receive this means a notification is popping up
every minute or two.

Not only that, but the notification icon is set to blink, this is unnecessary
and I believe is inconsistent with the HIG, no other status icons blink. The
total effect is very distracting.
Comment 1 Matthew Barnes 2007-09-14 12:53:40 EDT
Evolution is using two completely different mail notification subsystems.  The
"Do not notify me when new mail arrives" preference only pertains to playing
sounds.  The notification area icon is controlled by the "Mail Notification"
plugin (not the "New Mail Notification" plugin, mind you).

It's kind of a mess at the moment.  I've already complained about it [1].

You can stop the notification popups and the blinking icon by disabling the
plugin.  Unfortunately this disables notifications for ALL accounts, since we
don't have per-account notification settings yet.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=446484
Comment 2 Matthew Barnes 2007-09-14 13:07:11 EDT
I'm moving this to the aforementioned upstream bug along with your comments.
Comment 3 John Dennis 2007-09-15 12:31:36 EDT
Thank you Matthew for your prompt attention. Disabling the plugin did the trick.
Kinda hidden, but it sounds like you're on top of it.

Note You need to log in before you can comment on or make changes to this bug.